Please upgrade here. These earlier versions are no longer being updated and have security issues.

Help upgrading to 2.1b1

Hey guys I currently have 2.0.18.4 installed and I want to update to 2.1b1 to be able to use some addons that require the new version. I am trying to follow the upgrade instructions here: http://vanillaforums.org/page/UpgradeInstructions and the tips thread here: http://vanillaforums.org/discussion/12740/vanilla-2-upgrading-tips

I am having a few problems. After I copy the new files, copy my old config file to the new version, delete cache files, and then try to navigate to utility/structure, I get a 500 error. I tried visiting utility/upgrade as well. Same thing.

What should I be checking? I am a little confused about utility/structure. There is no directory on the new or old install called utility. Can someone explain that? Thanks

Comments

  • @cbaber I had the same problem yesterday and I had posted it. But my thread was deleted coz apparently it did not help shoot the bugs anyway. I am afraid your thread might get deleted to. So for a while, I would suggest, stick around with your version and wait for a new release

  • @indianfootynet said:
    cbaber I had the same problem yesterday and I had posted it. But my thread was deleted coz apparently it did not help shoot the bugs anyway. I am afraid your thread might get deleted to. So for a while, I would suggest, stick around with your version and wait for a new release

    Doesn't seem right. I doubt it would be deleted unless it was spammy or abusive. There no reason to delete such a discussion. This is a help forum after all.

    Beta version are supposed to have bugs as already mentioned, not all problems are due to bugs.

    grep is your friend.

    UnderDog
  • @x00 said:
    Beta version are supposed to have bugs as already mentioned, not all problems are due to bugs.

    If I were a spammer, I wouldn't wait for the anniversary batch to start spamming. It was exactly the same reason. I upgraded to 2.1b1, saw thebonk type error, changed config.php to see the error on detail, posted here about the problem and kept the site in limbo like that for people over here to see the error. But in response, I get a 'fair warning' that this does not help in bug shoting so will be deleted!

    aery
  • who gave you the warning?

    grep is your friend.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    @x00 Todd warned him that the discussion would be deleted due to lack of technical info about the problem. It was not due to spam. Simply Todd wants all tech discussions about this release to have substantial info concerning bug and problem findings. Not just someone asking for help on their install w/o proper documentation about the issue.

    peregrineUnderDog
  • x00x00 MVP
    edited April 2013

    ok that makes more sense.

    grep is your friend.

  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    @indianfootynet don't take it personally , this is just a crucial time for this release and what is needed is savvy devs to test the version so as to end up with a stable version soon.

    People who are not quite experienced with the software may have trivial problems that do not help in the overall testing of this version.

    UnderDog
  • @vrijvlinder I understand what you are saying and it is a free software so I cant complain. But I had kept the site in that condition for an hour for the code-savvy guys to read the error and understand. I dont think this post gives any more insight than what I had. Bt I am not taking it personally. If you guys would have noted the problem, that would have sufficed. I have reverted back to 2.0.18.8 and I'm happy

    vrijvlinderaery
  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    That is the best you could have done. I will be on that for a while and only test the 2.1 on test site until it is stable. Both versions are very different.

    Todd is the supreme boss here so whatever he thinks is best, is best :)

    UnderDog
  • Bow before the supreme leader!

    grep is your friend.

    indianfootynetUnderDoggurlusofine
  • vrijvlindervrijvlinder Papillon-Sauvage MVP
    edited April 2013

    lmfao !! Todd is not that ugly , I don't think....

  • The supreme leader is so beautiful, people regularly pass out from admiration

    When he was born the midwife passed out, he caught her, woke her, and put her back on her feet.

    - DPRK News Agency

    grep is your friend.

    UnderDoggurlusofine
  • vrijvlindervrijvlinder Papillon-Sauvage MVP

    ok, Todd is not insane megalomaniac , I don't think....

  • It is claimed that when the supreme leader opened the course in 1987, he shot a world record 38 under par on his first ever round of golf (including 11 hole in ones!)

    grep is your friend.

    UnderDoggurlusofine
  • vrijvlindervrijvlinder Papillon-Sauvage MVP
    edited April 2013

    I think the supreme leader used these techniques for not even Tiger Woods can do that ?!

    http://golf.about.com/u/ua/rulesofgolf/golfcheating.htm

    I don't think Todd plays Golf...

Sign In or Register to comment.